Package ru.bitel.bgbilling.kernel.bgsecure.common.service

# Interface UserService

    public interface UserService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.json.JSONObject` | `contractParameters​(int parameterTypeId)` |
  `void` | `deleteUser​(int userId)` |
  `SearchResult<User>` | `findUsers​(java.lang.String field, java.lang.String value, int status, int group, Page page)` |
  `java.lang.String` | `getCurrentUserEmail()` |
  `User` | `getUser​(int userId)` |
  `java.lang.String` | `groupMenuRestriction​(int groupId)` |
  `void` | `groupMenuRestrictionSet​(int groupId, java.util.List<java.lang.String> menuIds)` |
  `java.util.List<User>` | `listUsers()` |
  `java.util.List<BGSAction>` | `loadUserActions​(int userId)` | Загрузка списка действий пользователя.
  `void` | `updateUser​(User user, java.util.List<java.lang.Integer> groups)` |
  `UserInfo` | `userInfoGet​(int userId)` | Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
  `java.util.List<UserInfo>` | `userInfoList()` |
  `java.lang.String` | `userMenuDataDefault()` |
  `java.lang.String` | `userMenuDataGet​(int userMenuId)` |
  `void` | `userMenuDataUpdate​(int userMenuId, java.lang.String data)` |
  `void` | `userMenuDelete​(int userMenuId)` |
  `java.util.List<MenuItem>` | `userMenuList​(boolean addDefault)` |
  `java.lang.String` | `userMenuRestriction​(int userId)` |
  `void` | `userMenuRestrictionSet​(int userId, java.util.List<java.lang.String> menuIds)` |
  `MenuItem` | `userMenuUpdate​(MenuItem menuItem)` |

- ## Method Details

  - ### getCurrentUserEmail

    java.lang.String getCurrentUserEmail() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### findUsers

    SearchResult<User> findUsers​(java.lang.String field, java.lang.String value, int status, int group, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteUser

    void deleteUser​(int userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getUser

    User getUser​(int userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateUser

    void updateUser​(User user, java.util.List<java.lang.Integer> groups) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### listUsers

    java.util.List<User> listUsers() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### loadUserActions

    java.util.List<BGSAction> loadUserActions​(int userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Загрузка списка действий пользователя.
    Parameters:
      `userId` - код пользователя.
    Returns:
      список действий пользователя.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userInfoGet

    UserInfo userInfoGet​(int userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
    но, при условии что достается только так :getContext().getDirectory( UserInfo.class ). ... иначе если напрямую, то никакого кеширования не будет.
    Parameters:
      `userId` - - код пользователя.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userInfoList

    java.util.List<UserInfo> userInfoList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuRestriction

    java.lang.String userMenuRestriction​(int userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### groupMenuRestriction

    java.lang.String groupMenuRestriction​(int groupId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuRestrictionSet

    void userMenuRestrictionSet​(int userId, java.util.List<java.lang.String> menuIds) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### groupMenuRestrictionSet

    void groupMenuRestrictionSet​(int groupId, java.util.List<java.lang.String> menuIds) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuList

    java.util.List<MenuItem> userMenuList​(boolean addDefault) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuUpdate

    MenuItem userMenuUpdate​(MenuItem menuItem) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuDelete

    void userMenuDelete​(int userMenuId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuDataDefault

    java.lang.String userMenuDataDefault() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuDataGet

    java.lang.String userMenuDataGet​(int userMenuId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### userMenuDataUpdate

    void userMenuDataUpdate​(int userMenuId, java.lang.String data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractParameters

    org.json.JSONObject contractParameters​(int parameterTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`